Subject: bug#14125: 24.3; "No such node or anchor: Top" for Info files created by makeinfo 5.1

From: Juri Linkov <[email-masked]>
Date: Wed, 03 Apr 2013 02:47:05 +0300

> Info-goto-node cannot find the "Top" node for some Info files
> generated with makeinfo 5.1.

Thanks for the bug report.

> Not entirely sure if the problem is in Emacs or in makeinfo. I report
> it here because standalone info (version 4.13 or 5.1) has no problem
> with the files.

There is a difference between the output of makeinfo 4.13 and 5.1
that the Info reader doesn't handle.  I'm not sure whether it's a bug
in makeinfo 5.1 (maybe not) but in the tag table it outputs
the position of the beginning of the Info header of the indirect
Info file instead of the position of the beginning of the first node.

The following comment in `Info-find-node-2' in info.el:

	      ;; Now search from our advised position (or from beg of
	      ;; buffer) to find the actual node.  First, check
	      ;; whether the node is right where we are, in case the
	      ;; buffer begins with a node.

says that first it searches from the advised position (that is different
now in the Info files produced by makeinfo 5.1, so the reader overshoots).
If this fails it says that then it searches from the beginning of the
buffer (this would allow to find the Top node) but actually code doesn't do
what the comment says.  Currently I'm trying the solution that searches
from the beginning of the buffer.